Results 1 to 3 of 3

Thread: Two different PHP versions on a OpenSuse system

  1. #1

    Default Two different PHP versions on a OpenSuse system

    I have a new Opensuse server installed because the old one was EOL.
    On the old server I had software running with PHP 5.1 or 5.2. I'm not sure.
    On the new server there is PHP 5.3.29 running.
    The problem is that my old software is not working with the new PHP version.
    I can of course rewrite all the php code, but that is a hell of a job.
    I heard of another solution where they say that it is possible to install multiple versions of PHP on one server.
    Can anybody tell me if this is true and if so explain me how to install the old version of PHP on my new server so that my old software will run again.
    Cheers.

  2. #2
    Join Date
    Jun 2008
    Location
    Groningen, Netherlands
    Posts
    19,645
    Blog Entries
    14

    Default Re: Two different PHP versions on a OpenSuse system

    Quote Originally Posted by Marcello2014 View Post
    I have a new Opensuse server installed because the old one was EOL.
    On the old server I had software running with PHP 5.1 or 5.2. I'm not sure.
    On the new server there is PHP 5.3.29 running.
    The problem is that my old software is not working with the new PHP version.
    I can of course rewrite all the php code, but that is a hell of a job.
    I heard of another solution where they say that it is possible to install multiple versions of PHP on one server.
    Can anybody tell me if this is true and if so explain me how to install the old version of PHP on my new server so that my old software will run again.
    Cheers.
    Hi, welcome

    IMHO you should patch your software, unless this is a server that is not exposed to contact with other machines. Having said this, I've never met issues of this kind.
    ° Appreciate my reply? Click the star and let me know why.

    ° Perfection is not gonna happen. No way.

    https://en.opensuse.org/openSUSE:Board#Members
    http://en.opensuse.org/User:Knurpht
    http://nl.opensuse.org/Gebruiker:Knurpht

  3. #3
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    24,853

    Default Re: Two different PHP versions on a OpenSuse system

    I have no idea why you posted this in the Dutch language section, but I will move it to the English language part of these forums.
    Last edited by hcvv; 10-Oct-2016 at 08:54.
    Henk van Velden

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •